#!/bin/bash -ue
pvacseq run \
    --iedb-install-directory /opt/iedb \
    -t 10 \
    -p sample1_vep_phased.vcf.gz \
    -e1 8,9,10,11 \
    -e2 15,16,17,18,19,20,21,22,23,24,25 \
    --normal-sample-name sample1_normal \
    --tumor-purity 0.53 \
     \
    --netmhc-stab \
    --binding-threshold 500 --top-score-metric median --minimum-fold-change 0.0 --normal-cov 5 --tdna-cov 10 --trna-cov 10 --normal-vaf 0.02 --tdna-vaf 0.25 --trna-vaf 0.25 --expn-val 1 --maximum-transcript-support-level 1 \
    sample1_vep_somatic_gx.vcf.gz sample1_tumor HLA-A*29:02 NetMHCpan NetMHCpanEL MHCflurry MHCflurryEL NetMHCIIpan NetMHCIIpanEL ./

if [ -e ./MHC_Class_I/sample1_tumor.filtered.tsv ]; then
    mv ./MHC_Class_I/sample1_tumor.filtered.tsv ./MHC_Class_I/sample1_tumor_HLA-A*29:02.filtered.tsv
fi
if [ -e ./MHC_Class_I/sample1_tumor.all_epitopes.tsv ]; then
    mv ./MHC_Class_I/sample1_tumor.all_epitopes.tsv ./MHC_Class_I/sample1_tumor_HLA-A*29:02.all_epitopes.tsv
fi
if [ -e ./MHC_Class_II/sample1_tumor.filtered.tsv ]; then
    mv ./MHC_Class_II/sample1_tumor.filtered.tsv ./MHC_Class_II/sample1_tumor_HLA-A*29:02.filtered.tsv
fi
if [ -e ./MHC_Class_II/sample1_tumor.all_epitopes.tsv ]; then
    mv ./MHC_Class_II/sample1_tumor.all_epitopes.tsv ./MHC_Class_II/sample1_tumor_HLA-A*29:02.all_epitopes.tsv
fi
